# yamllint disable rule:line-length
traefik_static_config:
  entryPoints:
    ldaps:
      address: ":636"
      proxyProtocol:
        trustedIPs:
          - 192.168.1.254/32
    http:
      proxyProtocol:
        trustedIPs:
          - 192.168.1.254/32
          - 100.64.0.2/32
    https:
      proxyProtocol:
        trustedIPs:
          - 192.168.1.254/32
          - 100.64.0.2/32
  certificatesResolvers:
    letsEncrypt:
      acme:
        email: sadm@prologin.org
        storage: /acme/acme.json
        keyType: EC256
        tlsChallenge: {}
    letsEncryptRsa:
      acme:
        email: sadm@prologin.org
        storage: /acme/acmeRsa.json
        keyType: RSA2048
        tlsChallenge: {}
traefik_dynamic_config:
  tcp:
    routers:
      ldaps:
        entryPoints:
          - "ldaps"
        rule: "HostSNI(`ldap.prologin.org`)"
        service: "ldap"
        tls:
          options: modern
          certresolver: letsEncrypt
          domains:
            - main: "ldap.prologin.org"
    services:
      ldap:
        loadBalancer:
          proxyProtocol:
            version: 2
          servers:
            - address: "192.168.1.30:389"
  http:
    middlewares:
      traefik-forwardauth:
        forwardauth:
          address: http://ak-outpost-traefik:9000/outpost.goauthentik.io/auth/traefik
          trustForwardHeader: true
          authResponseHeaders: "{{ authentik_forwardauth_headers }}"
    routers:
      prolohome:
        middlewares:
          - default@file
        rule: Host(`home.prologin.org`)
        service: staging
        tls:
          certresolver: letsEncrypt
          options: intermediate
      auth:
        rule: "Host(`auth.pie.prologin.org`)"
        tls:
          certresolver: letsEncrypt
          options: modern
        middlewares:
          - default@file
        service: auth
      boot:
        rule: "Host(`boot.prologin.org`)"
        tls:
          options: ipxe
        middlewares:
          - default@file
        service: legacy
      prolohost:
        rule: "HostRegexp(`demi-finale.prologin.org`, `{eric:.*}.demi-finale.prologin.org`, `console.prologin.org`)"
        tls:
          options: intermediate
          certresolver: letsEncrypt
        middlewares:
          - default-without-error-pages@file
        service: prolohost
      cloudserver-s3:
        rule: "HostRegexp(`s3.prologin.org`, `{bucket:.*}.s3.prologin.org`)"
        tls:
          options: intermediate
          certresolver: letsEncrypt
          domains:
            - main: "s3.prologin.org"
              sans: "{{ traefik_s3_buckets_fqdn }}"
        middlewares:
          - default-without-error-pages@file
        service: cloudserver-s3
      legacy:
        rule: "Host(`prologin.org`, `www.prologin.org`, `camisole.prologin.org`, `gcc.prologin.org`, `grafana.prologin.org`, `mailman.prologin.org`, `repo.prologin.org`, `sadm.prologin.org`, `vault.prologin.org`, `sso.prologin.org`, `scratch.prologin.org`, `discord.prologin.org`, `sonar.prologin.org`, `wiki.prologin.org`, `prolo.in`, `u.prolo.in`, `documents.prologin.org`, `u.prologin.org`)"
        tls:
          options: intermediate
          certresolver: letsEncrypt
        middlewares:
          - default-without-error-pages@file
        service: legacy
      legacy-gccsite:
        rule: "Host(`gcc-legacy.prologin.dev`)"
        middlewares:
          - traefik-forwardauth@file
          - default-without-error-pages@file
        tls:
          certResolver: letsEncrypt
        service: legacy
      pie-images:
        rule: "Host(`images.pie.prologin.org`)"
        tls:
          certresolver: letsEncryptRsa
          options: ipxe
        middlewares:
          - default@file
        service: pie-images
      traefik:
        rule: "Host(`traefik.prologin.dev`)"
        tls:
          certresolver: letsEncrypt
          options: modern
        middlewares:
          - traefik-forwardauth@file
          - default@file
        service: api@internal
      vault:
        rule: "Host(`vault.prologin.dev`)"
        tls:
          certresolver: letsEncrypt
          options: modern
        middlewares:
          - default-without-error-pages@file
        service: vault
    serversTransports:
      insecureSkipVerify:
        insecureSkipVerify: true
    services:
      auth:
        loadBalancer:
          servers:
            - url: https://auth.th2.hxg.prologin.dev:443
          serversTransport: insecureSkipVerify
      cloudserver-s3:
        loadBalancer:
          servers:
            - url: http://s3.th2.hxg.prologin.dev:8000
      legacy:
        loadBalancer:
          servers:
            - url: https://192.168.122.2:443
          serversTransport: insecureSkipVerify
      legacy-http:
        loadBalancer:
          servers:
            - url: http://192.168.122.2:80
      staging:
        loadBalancer:
          servers:
            - url: http://192.168.1.130:80
      prolohost:
        loadBalancer:
          servers:
            - url: http://semifinals.th2.hxg.prologin.dev:80
      pie-images:
        loadBalancer:
          servers:
            - url: https://pxe-images.s3.prologin.org
          passHostHeader: false
      vault:
        loadBalancer:
          servers:
            - url: https://secure-services.th2.hxg.prologin.dev:8200
          serversTransport: insecureSkipVerify

